PETSc version 3.15.5
Fix/Edit manual page

# MatProductSetFill

Set an expected fill of the matrix product.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductSetFill(Mat mat,PetscReal fill)

Collective on Mat

### Input Parameters

| mat | - the matrix product
| fill | - expected fill as ratio of nnz(mat)/(nnz(A) + nnz(B) + nnz(C)); use PETSC_DEFAULT if you do not have a good estimate. If the product is a dense matrix, this is irrelevent.

### See Also

MatProductSetType(), MatProductSetAlgorithm(), MatProductCreate()

### Level

intermediate

### Location

src/mat/interface/matproduct.c

### Examples

src/tao/pde_constrained/tutorials/parabolic.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages